geometryless tables gain a visibility checkbox in the TOC when inside a group

2013-12-02 02:46 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17786

Description

Add a geometryless table in a group. The table is given its special icon. Now uncheck and then check the group. The table will "gain" a

visibility checkbox that does not make much sense. See attached screenshots.

History

#1 - 2013-12-03 06:43 AM - Denis Rouzaud

I asked a proposal to Martin Dobias to clean the legend code, API and UI.

If everything goes well, project should start in january.

I don't mean this bug should not be fixed in the mean time, but just to say some refactoring work will start soon.

#2 - 2014-06-12 04:37 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
